## org.codehaus.groovy.grails.orm.hibernate.cfg
Class NamedCriteriaProxy

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.NamedCriteriaProxy

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class NamedCriteriaProxy

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`NamedCriteriaProxy()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `call(Object[] params)`
`Object` `count()`
`Object` `findAllWhere(Map params)`
`Object` `findAllWhere(Map params, Boolean uniq)`
`Object` `findWhere(Object params)`
`Object` `get(Object id)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`Object` `list(Object[] params)`
`Object` `methodMissing(String methodName, Object args)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedCriteriaProxy

    public NamedCriteriaProxy()

Method Detail

### list

    public Object list(Object[] params)

### call

    public Object call(Object[] params)

### get

    public Object get(Object id)

### count

    public Object count()

### findWhere

    public Object findWhere(Object params)

### findAllWhere

    public Object findAllWhere(Map params,
                               Boolean uniq)

### methodMissing

    public Object methodMissing(String methodName,
                                Object args)

### findAllWhere

    public Object findAllWhere(Map params)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project